Hello community,

here is the log from the commit of package cloud-init for openSUSE:Factory 
checked in at 2014-01-13 13:49:30
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/cloud-init (Old)
 and      /work/SRC/openSUSE:Factory/.cloud-init.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "cloud-init"

Changes:
--------
--- /work/SRC/openSUSE:Factory/cloud-init/cloud-init.changes    2013-08-04 
16:48:17.000000000 +0200
+++ /work/SRC/openSUSE:Factory/.cloud-init.new/cloud-init.changes       
2014-01-13 13:49:31.000000000 +0100
@@ -1,0 +2,54 @@
+Sat Jan  4 16:03:57 UTC 2014 - [email protected]
+
+- update to version 0.7.4
+  + fix issue mounting 'ephemeral0' if ephemeral0 was an alias for a
+    partitioned block device with target filesystem on ephemeral0.1.
+    (LP: #1236594)
+  + fix DataSourceAzure incompatibility with 2.6 (LP: #1232175)
+  + fix power_state_change config module so that example works.  Improve
+    its documentation and add reference to 'timeout'
+  + support apt-add-archive with 'cloud-archive:' format.  (LP: #1244355)
+  + Change SmartOS verb for availability zone (LP: #1249124)
+  + documentation fix for boothooks to use 'cloud-init-per'
+  + fix resizefs module by supporting kernels that do not have
+    /proc/PID/mountinfo.  (LP: #1248625) [Tim Daly Jr.]
+  + fix 'make rpm' by removing 0.6.4 entry from ChangeLog (LP: #1241834)
+  + fix omnibus chef installer (LP: #1182265) [Chris Wing]
+  + small fix for OVF datasource for iso transport on non-iso9660 filesystem
+  + determine if upstart version is suitable for
+    'initctl reload-configuration' (LP: #1124384).  If so, then invoke it.
+    supports setting up instance-store disk with partition table and 
filesystem.
+  + add Azure datasource.
+  + add support for SuSE / SLES [Juerg Haefliger]
+  + add a trailing carriage return to chpasswd input, which reportedly
+    caused a problem on rhel5 if missing.
+  + support individual MIME segments to be gzip compressed (LP: #1203203)
+  + always finalize handlers even if processing failed (LP: #1203368)
+  + support merging into cloud-config via jsonp. (LP: #1200476)
+  + add datasource 'SmartOS' for Joyent Cloud.  Adds a dependency on serial.
+  + add 'log_time' helper to util for timing how long things take
+    which also reads from uptime. uptime is useful as clock may change during
+    boot due to ntp.
+  + prefer growpart resizer to 'parted resizepart' (LP: #1212492)
+  + support random data seed from config drive or azure, and a module
+    'seed_random' to read that and write it to /dev/urandom.
+  + add OpenNebula Datasource [Vlastimil Holer]
+  + add 'cc_disk_setup' config module for paritioning disks and creating
+    filesystems.  Useful if attached disks are not formatted (LP: #1218506)
+  + Fix usage of libselinux-python when selinux is disabled. [Garrett 
Holmstrom]
+  + multi_log: only write to /dev/console if it exists [Garrett Holmstrom]
+  + config/cloud.cfg: add 'sudo' to list groups for the default user 
+    (LP: #1228228)
+  + documentation fix for use of 'mkpasswd' [Eric Nordlund]
+  + respect /etc/growroot-disabled file (LP: #1234331)
+- replace fixupSysVinit.patch with suseSysVInit.diff
+  + sysV init files are now maintained by distribution, thus we need a patch
+    that has the complete sysV init files rather then modifying existing files
+- remove slesHandler.patch
+  + SLES support is now integrated upstream
+- add addopenSUSEBase.diff
+  + remnants of the slesHandler.patch that add information about openSUSE
+- add setupSUSEsysVInit.diff
+  + integrate the SUSE sysV init scripts into setup.py
+
+-------------------------------------------------------------------

Old:
----
  cloud-init-0.7.2.tar.bz2
  fixupSysVinit.patch
  slesHandler.patch

New:
----
  addopenSUSEBase.diff
  cloud-init-0.7.4.tar.bz2
  setupSUSEsysVInit.diff
  suseSysVInit.diff

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ cloud-init.spec ++++++
--- /var/tmp/diff_new_pack.280b3Y/_old  2014-01-13 13:49:32.000000000 +0100
+++ /var/tmp/diff_new_pack.280b3Y/_new  2014-01-13 13:49:32.000000000 +0100
@@ -16,7 +16,7 @@
 #
 
 Name:           cloud-init
-Version:        0.7.2
+Version:        0.7.4
 Release:        0
 License:        GPL-3.0
 Summary:        Cloud node initialization tool
@@ -24,9 +24,10 @@
 Group:          System/Management
 Source0:        %{name}-%{version}.tar.bz2
 Source1:        cloud.cfg.suse
-Patch0:         fixupSysVinit.patch
-Patch1:         slesHandler.patch
+Patch0:         suseSysVInit.diff
+Patch1:         addopenSUSEBase.diff
 Patch2:         openSUSEHandler.diff
+Patch3:         setupSUSEsysVInit.diff
 BuildRequires:  fdupes
 BuildRequires:  filesystem
 BuildRequires:  python-devel
@@ -47,7 +48,7 @@
 BuildArch:      noarch
 %endif
 %if 0%{?suse_version} && 0%{?suse_version} <= 1210
-%define initsys sysvinit
+%define initsys sysvinit_suse
 %else
 %define initsys systemd
 BuildRequires: systemd
@@ -87,17 +88,16 @@
 
 %prep
 %setup -q
-%patch0
+%patch0 -p1
 %patch1 -p1
 %patch2 -p1
+%patch3 -p1
 %if 0%{?suse_version} <= 1130
 # disable ecdsa for SLE 11 (not available)
 echo "ssh_genkeytypes: ['rsa', 'dsa']" >> %{SOURCE1}
 %endif
 # Install service files into correct location
 sed -i "s|/etc/systemd/system|%{systemd_prefix}/systemd/system|" setup.py
-# Drop $all facility Required-Start in sysvinit/cloud-final:
-sed -i "s|\$all cloud-config|cloud-config|" sysvinit/cloud-final
 
 %build
 python setup.py build
@@ -123,12 +123,6 @@
 sed -i s/INSERT_SUSE_DISTRO/opensuse/ 
%{buildroot}/%{_sysconfdir}/cloud/cloud.cfg
 %endif
 %endif
-#grep Enterprise /etc/SuSE-release >& /dev/null
-#if [ $? = 0 ]; then
-#sed -i s/INSERT_SUSE_DISTRO/sles/ %{buildroot}/%{_sysconfdir}/cloud/cloud.cfg
-#else
-#sed -i s/INSERT_SUSE_DISTRO/opensuse/ 
%{buildroot}/%{_sysconfdir}/cloud/cloud.cfg
-#fi
 
 # remove debian/ubuntu specific profile.d file (bnc#779553)
 rm -f %{buildroot}%{_sysconfdir}/profile.d/Z99-cloud-locale-test.sh
@@ -136,7 +130,6 @@
 # move sysvinit scripts into the "right" place
 %if 0%{?suse_version} && 0%{?suse_version} <= 1210
 mkdir -p %{buildroot}/%{_initddir}
-mv %{buildroot}%{_sysconfdir}/rc.d/init.d/* %{buildroot}%{_initddir}/
 mkdir -p %{buildroot}/%{_sbindir}
 pushd "%{buildroot}%{_initddir}"
 for iniF in *; do

++++++ addopenSUSEBase.diff ++++++
diff -urN cloud-init-0.7.4.orig/cloudinit/config/cc_resolv_conf.py 
cloud-init-0.7.4/cloudinit/config/cc_resolv_conf.py
--- cloud-init-0.7.4.orig/cloudinit/config/cc_resolv_conf.py    2014-01-04 
10:11:25.900655759 -0500
+++ cloud-init-0.7.4/cloudinit/config/cc_resolv_conf.py 2014-01-04 
10:51:27.900181158 -0500
@@ -55,7 +55,7 @@
 
 frequency = PER_INSTANCE
 
-distros = ['fedora', 'rhel', 'sles']
+distros = ['fedora', 'opensuse', 'rhel', 'sles']
 
 
 def generate_resolv_conf(cloud, log, params):
diff -urN cloud-init-0.7.4.orig/cloudinit/distros/__init__.py 
cloud-init-0.7.4/cloudinit/distros/__init__.py
--- cloud-init-0.7.4.orig/cloudinit/distros/__init__.py 2014-01-04 
10:11:25.919655399 -0500
+++ cloud-init-0.7.4/cloudinit/distros/__init__.py      2014-01-04 
10:53:09.936206936 -0500
@@ -39,7 +39,7 @@
 OSFAMILIES = {
     'debian': ['debian', 'ubuntu'],
     'redhat': ['fedora', 'rhel'],
-    'suse': ['sles']
+    'suse': ['opensuse', 'sles']
 }
 
 LOG = logging.getLogger(__name__)
++++++ cloud-init-0.7.2.tar.bz2 -> cloud-init-0.7.4.tar.bz2 ++++++
++++ 9606 lines of diff (skipped)

++++++ openSUSEHandler.diff ++++++
--- /var/tmp/diff_new_pack.280b3Y/_old  2014-01-13 13:49:32.000000000 +0100
+++ /var/tmp/diff_new_pack.280b3Y/_new  2014-01-13 13:49:32.000000000 +0100
@@ -1,6 +1,6 @@
-diff -urN cloud-init-0.7.2/cloudinit/distros/opensuse.py 
cloud-init-0.7.2.os/cloudinit/distros/opensuse.py
---- cloud-init-0.7.2/cloudinit/distros/opensuse.py     1969-12-31 
19:00:00.000000000 -0500
-+++ cloud-init-0.7.2.os/cloudinit/distros/opensuse.py  2013-06-15 
06:26:15.312348359 -0400
+diff -urN cloud-init-0.7.4/cloudinit/distros/opensuse.py 
cloud-init-0.7.4.os/cloudinit/distros/opensuse.py
+--- cloud-init-0.7.4/cloudinit/distros/opensuse.py     1969-12-31 
19:00:00.000000000 -0500
++++ cloud-init-0.7.4.os/cloudinit/distros/opensuse.py  2013-06-15 
06:26:15.312348359 -0400
 @@ -0,0 +1,86 @@
 +# vi: ts=4 expandtab
 +#

++++++ setupSUSEsysVInit.diff ++++++
diff -uNr cloud-init-0.7.4.orig/setup.py cloud-init-0.7.4/setup.py
--- cloud-init-0.7.4.orig/setup.py      2014-01-04 12:26:55.704357892 -0500
+++ cloud-init-0.7.4/setup.py   2014-01-04 12:31:24.023166380 -0500
@@ -39,12 +39,14 @@
 INITSYS_FILES = {
     'sysvinit': [f for f in glob('sysvinit/redhat/*') if is_f(f)],
     'sysvinit_deb': [f for f in glob('sysvinit/debian/*') if is_f(f)],
+    'sysvinit_suse': [f for f in glob('sysvinit/suse/*') if is_f(f)],
     'systemd': [f for f in glob('systemd/*') if is_f(f)],
     'upstart': [f for f in glob('upstart/*') if is_f(f)],
 }
 INITSYS_ROOTS = {
     'sysvinit': '/etc/rc.d/init.d',
     'sysvinit_deb': '/etc/init.d',
+    'sysvinit_suse': '/etc/init.d',
     'systemd': '/etc/systemd/system/',
     'upstart': '/etc/init/',
 }
++++++ suseSysVInit.diff ++++++
diff -urN cloud-init-0.7.4.orig/sysvinit/suse/cloud-config 
cloud-init-0.7.4/sysvinit/suse/cloud-config
--- cloud-init-0.7.4.orig/sysvinit/suse/cloud-config    1969-12-31 
19:00:00.000000000 -0500
+++ cloud-init-0.7.4/sysvinit/suse/cloud-config 2014-01-04 10:41:15.261034684 
-0500
@@ -0,0 +1,128 @@
+#!/bin/sh
+
+#
+#    Copyright (C) 2012 Yahoo! Inc.
+#    Copyright (C) 2013 SUSE LLC
+#
+#    Author: Joshua Harlow <[email protected]>
+#    Author: Robert Schweikert <[email protected]>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License version 3, as
+#    published by the Free Software Foundation.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# See: http://wiki.debian.org/LSBInitScripts
+# See: http://tiny.cc/czvbgw
+# See: http://www.novell.com/coolsolutions/feature/15380.html
+# Also based on dhcpd in RHEL (for comparison)
+
+### BEGIN INIT INFO
+# Provides:          cloud-config
+# Required-Start:    cloud-init cloud-init-local
+# Should-Start:      $time
+# Required-Stop:     $null
+# Should-Stop:       $null
+# Default-Start:     2 3 5
+# Default-Stop:      0 1 6
+# Short-Description: The config cloud-init job
+# Description:       Start cloud-init and runs the config phase
+#      and any associated config modules as desired.
+### END INIT INFO
+
+# Return values acc. to LSB for all commands but status:
+# 0      - success
+# 1       - generic or unspecified error
+# 2       - invalid or excess argument(s)
+# 3       - unimplemented feature (e.g. "reload")
+# 4       - user had insufficient privileges
+# 5       - program is not installed
+# 6       - program is not configured
+# 7       - program is not running
+# 8--199  - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
+# 
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signaling is not supported) are
+# considered a success.
+
+RETVAL=0
+
+prog="cloud-init"
+cloud_init="/usr/bin/cloud-init"
+conf="/etc/cloud/cloud.cfg"
+
+# If there exist sysconfig/default variable override files use it...
+[ -f /etc/sysconfig/cloud-init ] && . /etc/sysconfig/cloud-init
+[ -f /etc/default/cloud-init ] && . /etc/default/cloud-init
+
+. /etc/rc.status
+rc_reset
+
+start() {
+    [ -x $cloud_init ] || return 5
+    [ -f $conf ] || return 6
+
+    echo -n $"Starting $prog: "
+    $cloud_init $CLOUDINITARGS modules --mode config
+    RETVAL=$?
+    return $RETVAL
+}
+
+stop() {
+    echo -n $"Shutting down $prog: "
+    # No-op
+    RETVAL=7
+    return $RETVAL
+}
+
+case "$1" in
+    start)
+        start
+        RETVAL=$?
+       ;;
+    stop)
+        stop
+        RETVAL=$?
+       ;;
+    restart|try-restart|condrestart)
+        ## Stop the service and regardless of whether it was
+        ## running or not, start it again.
+        # 
+        ## Note: try-restart is now part of LSB (as of 1.9).
+        ## RH has a similar command named condrestart.
+        start
+        RETVAL=$?
+       ;;
+    reload|force-reload)
+        # It does not support reload
+        RETVAL=3
+       ;;
+    status)
+        echo -n $"Checking for service $prog:"
+        # Return value is slightly different for the status command:
+        # 0 - service up and running
+        # 1 - service dead, but /var/run/  pid  file exists
+        # 2 - service dead, but /var/lock/ lock file exists
+        # 3 - service not running (unused)
+        # 4 - service status unknown :-(
+        # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
+        RETVAL=3
+       ;;
+    *)
+        echo "Usage: $0 
{start|stop|status|try-restart|condrestart|restart|force-reload|reload}"
+        RETVAL=3
+       ;;
+esac
+
+_rc_status=$RETVAL
+rc_status -v
+rc_exit
diff -urN cloud-init-0.7.4.orig/sysvinit/suse/cloud-final 
cloud-init-0.7.4/sysvinit/suse/cloud-final
--- cloud-init-0.7.4.orig/sysvinit/suse/cloud-final     1969-12-31 
19:00:00.000000000 -0500
+++ cloud-init-0.7.4/sysvinit/suse/cloud-final  2014-01-04 10:40:57.354381148 
-0500
@@ -0,0 +1,128 @@
+#!/bin/sh
+
+#
+#    Copyright (C) 2012 Yahoo! Inc.
+#    Copyright (C) 2013 SUSE LLC
+#
+#    Author: Joshua Harlow <[email protected]>
+#    Author: Robert Schweikert <[email protected]>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License version 3, as
+#    published by the Free Software Foundation.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# See: http://wiki.debian.org/LSBInitScripts
+# See: http://tiny.cc/czvbgw
+# See: http://www.novell.com/coolsolutions/feature/15380.html
+# Also based on dhcpd in RHEL (for comparison)
+
+### BEGIN INIT INFO
+# Provides:          cloud-final
+# Required-Start:    cloud-config
+# Should-Start:      $time
+# Required-Stop:     $null
+# Should-Stop:       $null
+# Default-Start:     2 3 5
+# Default-Stop:      0 1 6
+# Short-Description: The final cloud-init job
+# Description:       Start cloud-init and runs the final phase
+#      and any associated final modules as desired.
+### END INIT INFO
+
+# Return values acc. to LSB for all commands but status:
+# 0      - success
+# 1       - generic or unspecified error
+# 2       - invalid or excess argument(s)
+# 3       - unimplemented feature (e.g. "reload")
+# 4       - user had insufficient privileges
+# 5       - program is not installed
+# 6       - program is not configured
+# 7       - program is not running
+# 8--199  - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
+# 
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signaling is not supported) are
+# considered a success.
+
+RETVAL=0
+
+prog="cloud-init"
+cloud_init="/usr/bin/cloud-init"
+conf="/etc/cloud/cloud.cfg"
+
+# If there exist sysconfig/default variable override files use it...
+[ -f /etc/sysconfig/cloud-init ] && . /etc/sysconfig/cloud-init
+[ -f /etc/default/cloud-init ] && . /etc/default/cloud-init
+
+. /etc/rc.status
+rc_reset
+
+start() {
+    [ -x $cloud_init ] || return 5
+    [ -f $conf ] || return 6
+
+    echo -n $"Starting $prog: "
+    $cloud_init $CLOUDINITARGS modules --mode final
+    RETVAL=$?
+    return $RETVAL
+}
+
+stop() {
+    echo -n $"Shutting down $prog: "
+    # No-op
+    RETVAL=7
+    return $RETVAL
+}
+
+case "$1" in
+    start)
+        start
+        RETVAL=$?
+       ;;
+    stop)
+        stop
+        RETVAL=$?
+       ;;
+    restart|try-restart|condrestart)
+        ## Stop the service and regardless of whether it was
+        ## running or not, start it again.
+        # 
+        ## Note: try-restart is now part of LSB (as of 1.9).
+        ## RH has a similar command named condrestart.
+        start
+        RETVAL=$?
+       ;;
+    reload|force-reload)
+        # It does not support reload
+        RETVAL=3
+       ;;
+    status)
+        echo -n $"Checking for service $prog:"
+        # Return value is slightly different for the status command:
+        # 0 - service up and running
+        # 1 - service dead, but /var/run/  pid  file exists
+        # 2 - service dead, but /var/lock/ lock file exists
+        # 3 - service not running (unused)
+        # 4 - service status unknown :-(
+        # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
+        RETVAL=3
+       ;;
+    *)
+        echo "Usage: $0 
{start|stop|status|try-restart|condrestart|restart|force-reload|reload}"
+        RETVAL=3
+       ;;
+esac
+
+_rc_status=$RETVAL
+rc_status -v
+rc_exit
diff -urN cloud-init-0.7.4.orig/sysvinit/suse/cloud-init 
cloud-init-0.7.4/sysvinit/suse/cloud-init
--- cloud-init-0.7.4.orig/sysvinit/suse/cloud-init      1969-12-31 
19:00:00.000000000 -0500
+++ cloud-init-0.7.4/sysvinit/suse/cloud-init   2014-01-04 10:40:41.874680652 
-0500
@@ -0,0 +1,129 @@
+#!/bin/sh
+
+#
+#    Copyright (C) 2012 Yahoo! Inc.
+#    Copyright (C) 2013 SUSE LLC
+#
+#    Author: Joshua Harlow <[email protected]>
+#    Author: Robert Schweikert <[email protected]>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License version 3, as
+#    published by the Free Software Foundation.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# See: http://wiki.debian.org/LSBInitScripts
+# See: http://tiny.cc/czvbgw
+# See: http://www.novell.com/coolsolutions/feature/15380.html
+# Also based on dhcpd in RHEL (for comparison)
+
+### BEGIN INIT INFO
+# Provides:          cloud-init
+# Required-Start:    $local_fs $network $named $remote_fs cloud-init-local
+# Should-Start:      $time
+# Required-Stop:     $null
+# Should-Stop:       $null
+# Default-Start:     2 3 5
+# Default-Stop:      0 1 6
+# Short-Description: The initial cloud-init job (net and fs contingent)
+# Description:       Start cloud-init and runs the initialization phase
+#      and any associated initial modules as desired.
+### END INIT INFO
+
+# Return values acc. to LSB for all commands but status:
+# 0      - success
+# 1       - generic or unspecified error
+# 2       - invalid or excess argument(s)
+# 3       - unimplemented feature (e.g. "reload")
+# 4       - user had insufficient privileges
+# 5       - program is not installed
+# 6       - program is not configured
+# 7       - program is not running
+# 8--199  - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
+# 
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signaling is not supported) are
+# considered a success.
+
+RETVAL=0
+
+prog="cloud-init"
+cloud_init="/usr/bin/cloud-init"
+conf="/etc/cloud/cloud.cfg"
+
+# If there exist sysconfig/default variable override files use it...
+[ -f /etc/sysconfig/cloud-init ] && . /etc/sysconfig/cloud-init
+[ -f /etc/default/cloud-init ] && . /etc/default/cloud-init
+
+. /etc/rc.status
+rc_reset
+
+start() {
+    [ -x $cloud_init ] || return 5
+    [ -f $conf ] || return 6
+
+    echo -n $"Starting $prog: "
+    $cloud_init $CLOUDINITARGS init
+    RETVAL=$?
+    return $RETVAL
+}
+
+stop() {
+    echo -n $"Shutting down $prog: "
+    # No-op
+    RETVAL=7
+    return $RETVAL
+}
+
+case "$1" in
+    start)
+        start
+        RETVAL=$?
+       ;;
+    stop)
+        stop
+        RETVAL=$?
+       ;;
+    restart|try-restart|condrestart)
+        ## Stop the service and regardless of whether it was
+        ## running or not, start it again.
+        # 
+        ## Note: try-restart is now part of LSB (as of 1.9).
+        ## RH has a similar command named condrestart.
+        start
+        RETVAL=$?
+       ;;
+    reload|force-reload)
+        # It does not support reload
+        RETVAL=3
+       ;;
+    status)
+        echo -n $"Checking for service $prog:"
+        RETVAL=3
+        [ -e /root/.ssh/authorized_keys ] && RETVAL=0
+        # Return value is slightly different for the status command:
+        # 0 - service up and running
+        # 1 - service dead, but /var/run/  pid  file exists
+        # 2 - service dead, but /var/lock/ lock file exists
+        # 3 - service not running (unused)
+        # 4 - service status unknown :-(
+        # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
+       ;;
+    *)
+        echo "Usage: $0 
{start|stop|status|try-restart|condrestart|restart|force-reload|reload}"
+        RETVAL=3
+       ;;
+esac
+
+_rc_status=$RETVAL
+rc_status -v
+rc_exit
diff -urN cloud-init-0.7.4.orig/sysvinit/suse/cloud-init-local 
cloud-init-0.7.4/sysvinit/suse/cloud-init-local
--- cloud-init-0.7.4.orig/sysvinit/suse/cloud-init-local        1969-12-31 
19:00:00.000000000 -0500
+++ cloud-init-0.7.4/sysvinit/suse/cloud-init-local     2014-01-04 
10:39:53.411618325 -0500
@@ -0,0 +1,128 @@
+#!/bin/sh
+
+#
+#    Copyright (C) 2012 Yahoo! Inc.
+#    Copyright (C) 2013 SUSE LLC
+#
+#    Author: Joshua Harlow <[email protected]>
+#    Author: Robert Schweikert <[email protected]>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License version 3, as
+#    published by the Free Software Foundation.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# See: http://wiki.debian.org/LSBInitScripts
+# See: http://tiny.cc/czvbgw
+# See: http://www.novell.com/coolsolutions/feature/15380.html
+# Also based on dhcpd in RHEL (for comparison)
+
+### BEGIN INIT INFO
+# Provides:          cloud-init-local
+# Required-Start:    $local_fs $remote_fs
+# Should-Start:      $time
+# Required-Stop:     $null
+# Should-Stop:       $null
+# Default-Start:     2 3 5
+# Default-Stop:      0 1 6
+# Short-Description: The initial cloud-init job (local fs contingent)
+# Description:       Start cloud-init and runs the initialization phases
+#      and any associated initial modules as desired.
+### END INIT INFO
+
+# Return values acc. to LSB for all commands but status:
+# 0      - success
+# 1       - generic or unspecified error
+# 2       - invalid or excess argument(s)
+# 3       - unimplemented feature (e.g. "reload")
+# 4       - user had insufficient privileges
+# 5       - program is not installed
+# 6       - program is not configured
+# 7       - program is not running
+# 8--199  - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
+# 
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signaling is not supported) are
+# considered a success.
+
+RETVAL=0
+
+prog="cloud-init"
+cloud_init="/usr/bin/cloud-init"
+conf="/etc/cloud/cloud.cfg"
+
+# If there exist sysconfig/default variable override files use it...
+[ -f /etc/sysconfig/cloud-init ] && . /etc/sysconfig/cloud-init
+[ -f /etc/default/cloud-init ] && . /etc/default/cloud-init
+
+. /etc/rc.status
+rc_reset
+
+start() {
+    [ -x $cloud_init ] || return 5
+    [ -f $conf ] || return 6
+
+    echo -n $"Starting $prog: "
+    $cloud_init $CLOUDINITARGS init --local
+    RETVAL=$?
+    return $RETVAL
+}
+
+stop() {
+    echo -n $"Shutting down $prog: "
+    # No-op
+    RETVAL=7
+    return $RETVAL
+}
+
+case "$1" in
+    start)
+        start
+        RETVAL=$?
+       ;;
+    stop)
+        stop
+        RETVAL=$?
+       ;;
+    restart|try-restart|condrestart)
+        ## Stop the service and regardless of whether it was
+        ## running or not, start it again.
+        # 
+        ## Note: try-restart is now part of LSB (as of 1.9).
+        ## RH has a similar command named condrestart.
+        start
+        RETVAL=$?
+       ;;
+    reload|force-reload)
+        # It does not support reload
+        RETVAL=3
+       ;;
+    status)
+        echo -n $"Checking for service $prog:"
+        # Return value is slightly different for the status command:
+        # 0 - service up and running
+        # 1 - service dead, but /var/run/  pid  file exists
+        # 2 - service dead, but /var/lock/ lock file exists
+        # 3 - service not running (unused)
+        # 4 - service status unknown :-(
+        # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
+        RETVAL=3
+       ;;
+    *)
+        echo "Usage: $0 
{start|stop|status|try-restart|condrestart|restart|force-reload|reload}"
+        RETVAL=3
+       ;;
+esac
+
+_rc_status=$RETVAL
+rc_status -v
+rc_exit
-- 
To unsubscribe, e-mail: [email protected]
For additional commands, e-mail: [email protected]

Reply via email to